Rated 5 out of 5 stars

I refuse to upgrade my main computer to Firefox 4 until Distrust is compatible with it. Sticking with 3 until then.